Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  objekte im Baum verfügbar machen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   objekte im Baum verfügbar machen (93 mal gelesen)
catia5beginervbs
Mitglied



Sehen Sie sich das Profil von catia5beginervbs an!   Senden Sie eine Private Message an catia5beginervbs  Schreiben Sie einen Gästebucheintrag für catia5beginervbs

Beiträge: 19
Registriert: 02.09.2015

Windows 7, Excel 2010,Catia 5.21

erstellt am: 11. Sep. 2019 11:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Moinsen,

ich habe immer wieder Probleme mit den Objekten im CATIA,
wir haben hier grosse assembly und je nach dem ab welcher ebene der user die Geometrie aufgemacht hat
variert es

Sub tt()

my_assy = "blabla"
my_path = "dateipfad.CATPart"

Set CATIA = GetObject(, "CATIA.Application")

Dim productDocument1 As productDocument
Dim product1 As Product

Dim arrPartDocument(0) As Variant

Set productDocument1 = CATIA.ActiveDocument
Set product1 = productDocument1.Product
Set products1 = product1.Products
       
'Wie kann ich hier durch den Baum gehen bis das my_assy gefunden ist ???
       
arrPartDocument(0) = my_path
products???.AddComponentsFromFiles arrPartDocument, "All"
Stop
End Sub

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10702
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 11. Sep. 2019 18:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für catia5beginervbs 10 Unities + Antwort hilfreich

Servus

Möglichkeit 1: rekursive Schleife über die Products-Collection (und dabei dein Productname mit dem .ReferenceProduct.Name vergleichen)
Möglichkeit 2: mit der Suche direkt das Product/Document suchen
Möglichkeit 3: den User die Baugruppe wählen lassen in die das Teil eingefügt werden soll
Möglichkeit 4: das aktive Dokument "nutzen" siehe hier
....

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz